Editing Block

Discussion in 'AutoCAD' started by Rune Wold, Jan 28, 2004.

  1. Rune Wold

    Rune Wold Guest

    Use the block reference's name to find the block definition, then loop the
    entities on block definition's default collection.

    Given oBlkRef as your block reference

    Dim oBlk As AcadBlock
    set oBlk = ThisDrawing.Blocks.Item(oBlkRef.Name)
    Dim oEnt As AcadEntity
    For Each oEnt In oBlk
    ' Do your checks here
    Next

    Does this answer your question?
     
    Rune Wold, Jan 28, 2004
    #1
  2. Rune Wold

    Thomas Shang Guest

    Through VB, how can I search through a block reference to find out a
    embedded object, a circle, for example and modify it. Eventually I need to
    update the block defination?

    Thanks

    Thomas Shang
     
    Thomas Shang, Jan 28, 2004
    #2
  3. Rune Wold

    Thomas Shang Guest

    It did work, thank you.

     
    Thomas Shang, Jan 30, 2004
    #3
Ask a Question

Want to reply to this thread or ask your own question?

You'll need to choose a username for the site, which only take a couple of moments (here). After that, you can post your question and our members will help you out.